[PATCH] D105885: Enable Flang by default in the test-release.sh script

Andrzej Warzynski via Phabricator via llvm-commits llvm-commits at lists.llvm.org
Thu Jul 15 09:18:11 PDT 2021


This revision was landed with ongoing or failed builds.
This revision was automatically updated to reflect the committed changes.
Closed by commit rG47f846f8c5ba: Enable Flang by default in the test-release.sh script (authored by awarzynski).

Changed prior to commit:
  https://reviews.llvm.org/D105885?vs=358925&id=359011#toc

Repository:
  rG LLVM Github Monorepo

CHANGES SINCE LAST ACTION
  https://reviews.llvm.org/D105885/new/

https://reviews.llvm.org/D105885

Files:
  llvm/utils/release/test-release.sh


Index: llvm/utils/release/test-release.sh
===================================================================
--- llvm/utils/release/test-release.sh
+++ llvm/utils/release/test-release.sh
@@ -41,7 +41,7 @@
 do_lldb="yes"
 do_polly="yes"
 do_mlir="yes"
-do_flang="no"
+do_flang="yes"
 BuildDir="`pwd`"
 ExtraConfigureFlags=""
 ExportBranch=""
@@ -75,6 +75,7 @@
     echo " -no-lldb             Disable check-out & build lldb (default)"
     echo " -no-polly            Disable check-out & build Polly"
     echo " -no-mlir             Disable check-out & build MLIR"
+    echo " -no-flang            Disable check-out & build Flang"
 }
 
 while [ $# -gt 0 ]; do
@@ -173,8 +174,8 @@
         -no-mlir )
             do_mlir="no"
             ;;
-        -flang )
-            do_flang="yes"
+        -no-flang )
+            do_flang="no"
             ;;
         -help | --help | -h | --h | -\? )
             usage
@@ -189,6 +190,11 @@
     shift
 done
 
+if [ $do_mlir = "no" ] && [ $do_flang = "yes" ]; then
+  echo "error: cannot build Flang without MLIR"
+  exit 1
+fi
+
 # Check required arguments.
 if [ -z "$Release" ]; then
     echo "error: no release number specified"


-------------- next part --------------
A non-text attachment was scrubbed...
Name: D105885.359011.patch
Type: text/x-patch
Size: 1179 bytes
Desc: not available
URL: <http://lists.llvm.org/pipermail/llvm-commits/attachments/20210715/df91f4d5/attachment.bin>


More information about the llvm-commits mailing list